"use strict";
var wjCore = require("wijmo/wijmo");
var Globalization = (function () {
    function Globalization() {
        this._culture = "en";
        this._loadCultureInfo();
    }
    Object.defineProperty(Globalization.prototype, "culture", {
        get: function () {
            return this._culture;
        },
        set: function (value) {
            if (this._culture != value) {
                this._culture = value;
                this._loadCultureInfo();
            }
        },
        enumerable: true,
        configurable: true
    });
    Globalization.prototype._loadCultureInfo = function () {
        var self = this;
        wjCore.httpRequest('scripts/vendor/wijmo.culture.' + self.culture + '.js', {
            dataType: 'script',
            success: function (data) {
                // culture applied, now load translations
                wjCore.httpRequest('translations/strings.' + self.culture + '.js', {
                    dataType: 'json',
                    async: false,
                    success: function (data) {
                        self.i18n = data;
                        // update controls to reflect changes
                        wjCore.Control.invalidateAll();
                    }
                });
            }
        });
    };
    return Globalization;
}());
exports.Globalization = Globalization;
//# sourceMappingURL=Globalization.js.map